VMware: exception when accessing invalid nodename

Bug #1216510 reported by Gary Kotton on 2013-08-25
6
This bug affects 1 person
Affects Status Importance Assigned to Milestone
OpenStack Compute (nova)
High
Gary Kotton
VMwareAPI-Team
Critical
Unassigned

Bug Description

2013-08-25 01:51:12.304 DEBUG amqp [-] Channel open from (pid=24811) _open_ok /usr/local/lib/python2.7/dist-packages/amqp/channel.py:420
2013-08-25 01:51:12.330 ERROR nova.compute.manager [req-a544bf47-550d-4f20-b026-b8312f8c0641 demo demo] [instance: 0aff95af-3246-4e38-a678-8255bfe590a9] Instance failed to spawn
2013-08-25 01:51:12.330 TRACE nova.compute.manager [instance: 0aff95af-3246-4e38-a678-8255bfe590a9] Traceback (most recent call last):
2013-08-25 01:51:12.330 TRACE nova.compute.manager [instance: 0aff95af-3246-4e38-a678-8255bfe590a9] File "/opt/stack/nova/nova/compute/manager.py", line 1288, in _spawn
2013-08-25 01:51:12.330 TRACE nova.compute.manager [instance: 0aff95af-3246-4e38-a678-8255bfe590a9] block_device_info)
2013-08-25 01:51:12.330 TRACE nova.compute.manager [instance: 0aff95af-3246-4e38-a678-8255bfe590a9] File "/opt/stack/nova/nova/virt/vmwareapi/driver.py", line 631, in spawn
2013-08-25 01:51:12.330 TRACE nova.compute.manager [instance: 0aff95af-3246-4e38-a678-8255bfe590a9] _vmops = self._get_vmops_for_compute_node(instance['node'])
2013-08-25 01:51:12.330 TRACE nova.compute.manager [instance: 0aff95af-3246-4e38-a678-8255bfe590a9] File "/opt/stack/nova/nova/virt/vmwareapi/driver.py", line 560, in _get_vmops_for_compute_node
2013-08-25 01:51:12.330 TRACE nova.compute.manager [instance: 0aff95af-3246-4e38-a678-8255bfe590a9] return self._resources.get(self._get_mo_id(nodename)).get('vmops')
2013-08-25 01:51:12.330 TRACE nova.compute.manager [instance: 0aff95af-3246-4e38-a678-8255bfe590a9] AttributeError: 'NoneType' object has no attribute 'get'
2013-08-25 01:51:12.330 TRACE nova.compute.manager [instance: 0aff95af-3246-4e38-a678-8255bfe590a9]
2013-08-25 01:51:12.331 DEBUG nova.compute.claims [req-a544bf47-550d-4f20-b026-b8312f8c0641 demo demo] [instance: 0aff95af-3246-4e38-a678-8255bfe590a9] Aborting claim: [Claim: 512 MB memory,

Fix proposed to branch: master
Review: https://review.openstack.org/43616

Changed in nova:
assignee: nobody → Gary Kotton (garyk)
status: New → In Progress
Gary Kotton (garyk) on 2013-08-25
Changed in nova:
milestone: none → havana-3
importance: Undecided → High
tags: added: vmware
Thierry Carrez (ttx) on 2013-09-05
Changed in nova:
milestone: havana-3 → havana-rc1
Changed in nova:
importance: High → Medium
Changed in openstack-vmwareapi-team:
status: New → Incomplete
status: Incomplete → In Progress
importance: Undecided → Critical
Changed in nova:
importance: Medium → High

Reviewed: https://review.openstack.org/43616
Committed: http://github.com/openstack/nova/commit/c8ab7a401cbbfd6c5841d8f2f8f5112be2b6cee2
Submitter: Jenkins
Branch: master

commit c8ab7a401cbbfd6c5841d8f2f8f5112be2b6cee2
Author: Gary Kotton <email address hidden>
Date: Sun Aug 25 01:52:28 2013 -0700

    VMware: ensure that resource exists prior to accessing

    Ensure that the resource being accessed actually exists. There
    may be cases when a cluster is updated/deleted and the scheduler
    may be out of sync with the compute node.

    Fixes bug: 1216510

    Change-Id: Ib82af10f78fbad0cec55eff3dffd3d36409d8b24

Changed in nova:
status: In Progress → Fix Committed
Tracy Jones (tjones-i) on 2013-09-25
Changed in openstack-vmwareapi-team:
status: In Progress → Fix Committed
Thierry Carrez (ttx) on 2013-10-03
Changed in nova:
status: Fix Committed → Fix Released
Thierry Carrez (ttx) on 2013-10-17
Changed in nova:
milestone: havana-rc1 → 2013.2
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers